libstdc++: Filesystem TS

libstdc++

Filesystem TS
Technical Specifications
Collaboration diagram for Filesystem TS:

## Files
file | filesystem

## Classes
class | std::experimental::filesystem::v1::filesystem_error
class | std::experimental::filesystem::v1::path::iterator
class | std::experimental::filesystem::v1::path
struct | std::experimental::filesystem::v1::space_info

## Typedefs
using | std::experimental::filesystem::file_time_type

## Enumerations
enum class | std::experimental::filesystem::copy_options : unsigned short { none , skip_existing , overwrite_existing , update_existing , recursive , copy_symlinks , skip_symlinks , directories_only , create_symlinks , create_hard_links }
enum class | std::experimental::filesystem::directory_options : unsigned char { none , follow_directory_symlink , skip_permission_denied }
enum class | std::experimental::filesystem::file_type : signed char { none , not_found , regular , directory , symlink , block , character , fifo , socket , unknown }
enum class | std::experimental::filesystem::perms : unsigned { none , owner_read , owner_write , owner_exec , owner_all , group_read , group_write , group_exec , group_all , others_read , others_write , others_exec , others_all , all , set_uid , set_gid , sticky_bit , mask , unknown , add_perms , remove_perms , symlink_nofollow }

## Functions
| std::experimental::filesystem::v1::path::path (const path &__p)
| std::experimental::filesystem::v1::path::path (path &&__p) noexcept
| std::experimental::filesystem::v1::path::path (string_type &&__source)
path | std::experimental::filesystem::absolute (const path &__p, const path &__base=current_path())
path & | std::experimental::filesystem::v1::path::assign (string_type &&__source)
directory_iterator | std::experimental::filesystem::begin (directory_iterator __iter) noexcept
recursive_directory_iterator | std::experimental::filesystem::begin (recursive_directory_iterator __iter) noexcept
iterator | std::experimental::filesystem::v1::path::begin () const noexcept
path | std::experimental::filesystem::canonical (const path &__p, const path &__base, error_code &__ec)
path | std::experimental::filesystem::canonical (const path &__p, const path &__base=current_path())
path | std::experimental::filesystem::canonical (const path &__p, error_code &__ec)
int | std::experimental::filesystem::v1::path::compare (const basic_string_view< value_type > __s) const
int | std::experimental::filesystem::v1::path::compare (const string_type &__s) const
int | std::experimental::filesystem::v1::path::compare (const value_type *__s) const
void | std::experimental::filesystem::copy (const path &__from, const path &__to)
void | std::experimental::filesystem::copy (const path &__from, const path &__to, copy_options __options)
void | std::experimental::filesystem::copy (const path &__from, const path &__to, copy_options __options, error_code &) noexcept
void | std::experimental::filesystem::copy (const path &__from, const path &__to, error_code &__ec) noexcept
bool | std::experimental::filesystem::copy_file (const path &__from, const path &__to)
bool | std::experimental::filesystem::copy_file (const path &__from, const path &__to, copy_options __option)
bool | std::experimental::filesystem::copy_file (const path &__from, const path &__to, copy_options __option, error_code &)
bool | std::experimental::filesystem::copy_file (const path &__from, const path &__to, error_code &__ec)
void | std::experimental::filesystem::copy_symlink (const path &__existing_symlink, const path &__new_symlink)
void | std::experimental::filesystem::copy_symlink (const path &__existing_symlink, const path &__new_symlink, error_code &__ec) noexcept
bool | std::experimental::filesystem::create_directories (const path &__p)
bool | std::experimental::filesystem::create_directories (const path &__p, error_code &__ec)
bool | std::experimental::filesystem::create_directory (const path &__p)
bool | std::experimental::filesystem::create_directory (const path &__p, const path &__attributes)
bool | std::experimental::filesystem::create_directory (const path &__p, const path &__attributes, error_code &__ec) noexcept
bool | std::experimental::filesystem::create_directory (const path &__p, error_code &__ec) noexcept
void | std::experimental::filesystem::create_directory_symlink (const path &__to, const path &__new_symlink)
void | std::experimental::filesystem::create_directory_symlink (const path &__to, const path &__new_symlink, error_code &__ec) noexcept
void | std::experimental::filesystem::create_hard_link (const path &__to, const path &__new_hard_link)
void | std::experimental::filesystem::create_hard_link (const path &__to, const path &__new_hard_link, error_code &__ec) noexcept
void | std::experimental::filesystem::create_symlink (const path &__to, const path &__new_symlink)
void | std::experimental::filesystem::create_symlink (const path &__to, const path &__new_symlink, error_code &__ec) noexcept
path | std::experimental::filesystem::current_path ()
void | std::experimental::filesystem::current_path (const path &__p)
void | std::experimental::filesystem::current_path (const path &__p, error_code &__ec) noexcept
path | std::experimental::filesystem::current_path (error_code &__ec)
directory_iterator | std::experimental::filesystem::end (directory_iterator) noexcept
recursive_directory_iterator | std::experimental::filesystem::end (recursive_directory_iterator) noexcept
iterator | std::experimental::filesystem::v1::path::end () const noexcept
bool | std::experimental::filesystem::equivalent (const path &__p1, const path &__p2)
bool | std::experimental::filesystem::equivalent (const path &__p1, const path &__p2, error_code &__ec) noexcept
bool | std::experimental::filesystem::exists (const path &__p)
bool | std::experimental::filesystem::exists (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::exists (file_status __s) noexcept
path | std::experimental::filesystem::v1::path::extension () const
uintmax_t | std::experimental::filesystem::file_size (const path &__p)
uintmax_t | std::experimental::filesystem::file_size (const path &__p, error_code &__ec) noexcept
path | std::experimental::filesystem::v1::path::filename () const
std::string | std::experimental::filesystem::v1::path::generic_string () const
template<typename _CharT, typename _Traits = std::char_traits<_CharT>, typename _Allocator = std::allocator<_CharT>>
std::basic_string< _CharT, _Traits, _Allocator > | std::experimental::filesystem::v1::path::generic_string (const _Allocator &__a=_Allocator()) const
std::u16string | std::experimental::filesystem::v1::path::generic_u16string () const
std::u32string | std::experimental::filesystem::v1::path::generic_u32string () const
std::string | std::experimental::filesystem::v1::path::generic_u8string () const
std::wstring | std::experimental::filesystem::v1::path::generic_wstring () const
uintmax_t | std::experimental::filesystem::hard_link_count (const path &__p)
uintmax_t | std::experimental::filesystem::hard_link_count (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::v1::path::has_extension () const
bool | std::experimental::filesystem::v1::path::has_stem () const
bool | std::experimental::filesystem::v1::path::is_absolute () const
bool | std::experimental::filesystem::is_block_file (const path &__p)
bool | std::experimental::filesystem::is_block_file (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_block_file (file_status __s) noexcept
bool | std::experimental::filesystem::is_character_file (const path &__p)
bool | std::experimental::filesystem::is_character_file (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_character_file (file_status __s) noexcept
bool | std::experimental::filesystem::is_directory (const path &__p)
bool | std::experimental::filesystem::is_directory (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_directory (file_status __s) noexcept
bool | std::experimental::filesystem::is_empty (const path &__p)
bool | std::experimental::filesystem::is_empty (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_fifo (const path &__p)
bool | std::experimental::filesystem::is_fifo (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_fifo (file_status __s) noexcept
bool | std::experimental::filesystem::is_other (const path &__p)
bool | std::experimental::filesystem::is_other (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_other (file_status __s) noexcept
bool | std::experimental::filesystem::is_regular_file (const path &__p)
bool | std::experimental::filesystem::is_regular_file (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_regular_file (file_status) noexcept
bool | std::experimental::filesystem::is_socket (const path &__p)
bool | std::experimental::filesystem::is_socket (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_socket (file_status __s) noexcept
bool | std::experimental::filesystem::is_symlink (const path &__p)
bool | std::experimental::filesystem::is_symlink (const path &__p, error_code &__ec) noexcept
bool | std::experimental::filesystem::is_symlink (file_status) noexcept
file_time_type | std::experimental::filesystem::last_write_time (const path &__p)
file_time_type | std::experimental::filesystem::last_write_time (const path &__p, error_code &__ec) noexcept
void | std::experimental::filesystem::last_write_time (const path &__p, file_time_type __new_time)
void | std::experimental::filesystem::last_write_time (const path &__p, file_time_type __new_time, error_code &__ec) noexcept
path & | std::experimental::filesystem::v1::path::make_preferred ()
bool | std::experimental::filesystem::operator!= (const directory_iterator &__lhs, const directory_iterator &__rhs)
bool | std::experimental::filesystem::operator!= (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs)
copy_options & | std::experimental::filesystem::operator&= (copy_options &__x, copy_options __y) noexcept
reference | std::experimental::filesystem::v1::path::iterator::operator* () const noexcept
iterator & | std::experimental::filesystem::v1::path::iterator::operator++ () noexcept
template<typename _CharT>
__detail::_Path< _CharT *, _CharT * > & | std::experimental::filesystem::v1::path::operator+= (_CharT __x)
path & | std::experimental::filesystem::v1::path::operator+= (basic_string_view< value_type > __x)
path & | std::experimental::filesystem::v1::path::operator+= (const path &__x)
path & | std::experimental::filesystem::v1::path::operator+= (const string_type &__x)
path & | std::experimental::filesystem::v1::path::operator+= (const value_type *__x)
path & | std::experimental::filesystem::v1::path::operator+= (value_type __x)
iterator & | std::experimental::filesystem::v1::path::iterator::operator-- () noexcept
bool | std::experimental::filesystem::operator< (const path &__lhs, const path &__rhs) noexcept
path & | std::experimental::filesystem::v1::path::operator= (const path &__p)
path & | std::experimental::filesystem::v1::path::operator= (path &&__p) noexcept
path & | std::experimental::filesystem::v1::path::operator= (string_type &&__source)
bool | std::experimental::filesystem::operator== (const directory_iterator &__lhs, const directory_iterator &__rhs)
bool | std::experimental::filesystem::operator== (const path &__lhs, const path &__rhs) noexcept
bool | std::experimental::filesystem::operator== (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs)
constexpr copy_options | std::experimental::filesystem::operator^ (copy_options __x, copy_options __y) noexcept
copy_options & | std::experimental::filesystem::operator^= (copy_options &__x, copy_options __y) noexcept
constexpr copy_options | std::experimental::filesystem::operator| (copy_options __x, copy_options __y) noexcept
copy_options & | std::experimental::filesystem::operator|= (copy_options &__x, copy_options __y) noexcept
constexpr copy_options | std::experimental::filesystem::operator~ (copy_options __x) noexcept
void | std::experimental::filesystem::permissions (const path &__p, perms __prms)
void | std::experimental::filesystem::permissions (const path &__p, perms __prms, error_code &__ec) noexcept
path | std::experimental::filesystem::read_symlink (const path &__p)
path | std::experimental::filesystem::read_symlink (const path &__p, error_code &__ec)
bool | std::experimental::filesystem::remove (const path &__p)
bool | std::experimental::filesystem::remove (const path &__p, error_code &__ec) noexcept
uintmax_t | std::experimental::filesystem::remove_all (const path &__p)
uintmax_t | std::experimental::filesystem::remove_all (const path &__p, error_code &__ec)
void | std::experimental::filesystem::rename (const path &__from, const path &__to)
void | std::experimental::filesystem::rename (const path &__from, const path &__to, error_code &__ec) noexcept
void | std::experimental::filesystem::resize_file (const path &__p, uintmax_t __size)
void | std::experimental::filesystem::resize_file (const path &__p, uintmax_t __size, error_code &__ec) noexcept
space_info | std::experimental::filesystem::space (const path &__p)
space_info | std::experimental::filesystem::space (const path &__p, error_code &__ec) noexcept
file_status | std::experimental::filesystem::status (const path &)
file_status | std::experimental::filesystem::status (const path &, error_code &) noexcept
bool | std::experimental::filesystem::status_known (file_status) noexcept
path | std::experimental::filesystem::v1::path::stem () const
std::string | std::experimental::filesystem::v1::path::string () const
template<typename _CharT, typename _Traits = std::char_traits<_CharT>, typename _Allocator = std::allocator<_CharT>>
std::basic_string< _CharT, _Traits, _Allocator > | std::experimental::filesystem::v1::path::string (const _Allocator &__a=_Allocator()) const
void | std::experimental::filesystem::v1::path::swap (path &__rhs) noexcept
file_status | std::experimental::filesystem::symlink_status (const path &)
file_status | std::experimental::filesystem::symlink_status (const path &, error_code &) noexcept
path | std::experimental::filesystem::system_complete (const path &__p)
path | std::experimental::filesystem::system_complete (const path &__p, error_code &__ec)
path | std::experimental::filesystem::temp_directory_path ()
path | std::experimental::filesystem::temp_directory_path (error_code &__ec)
std::u16string | std::experimental::filesystem::v1::path::u16string () const
std::u32string | std::experimental::filesystem::v1::path::u32string () const
std::string | std::experimental::filesystem::v1::path::u8string () const
std::wstring | std::experimental::filesystem::v1::path::wstring () const
constexpr perms | std::experimental::filesystem::operator| (perms __x, perms __y) noexcept
constexpr perms | std::experimental::filesystem::operator^ (perms __x, perms __y) noexcept
constexpr perms | std::experimental::filesystem::operator~ (perms __x) noexcept
perms & | std::experimental::filesystem::operator&= (perms &__x, perms __y) noexcept
perms & | std::experimental::filesystem::operator|= (perms &__x, perms __y) noexcept
perms & | std::experimental::filesystem::operator^= (perms &__x, perms __y) noexcept
constexpr directory_options | std::experimental::filesystem::operator| (directory_options __x, directory_options __y) noexcept
constexpr directory_options | std::experimental::filesystem::operator^ (directory_options __x, directory_options __y) noexcept
constexpr directory_options | std::experimental::filesystem::operator~ (directory_options __x) noexcept
directory_options & | std::experimental::filesystem::operator&= (directory_options &__x, directory_options __y) noexcept
directory_options & | std::experimental::filesystem::operator|= (directory_options &__x, directory_options __y) noexcept
directory_options & | std::experimental::filesystem::operator^= (directory_options &__x, directory_options __y) noexcept

## Detailed Description

Utilities for performing operations on file systems and their components, such as paths, regular files, and directories.

ISO/IEC TS 18822:2015 C++ File System Technical Specification

Since
  C++11

Remarks
  Link using -lstdc++fs to use these types and functions.

## Typedef Documentation

## ◆ file_time_type

using std::experimental::filesystem::v1::file_time_type

The type used for file timestamps.

Definition at line 285 of file experimental/bits/fs_fwd.h.

## Enumeration Type Documentation

## ◆ copy_options

enum class std::experimental::filesystem::v1::copy_options : unsigned short
| strong

Bitmask type controlling effects of filesystem::copy.

Definition at line 95 of file experimental/bits/fs_fwd.h.

## ◆ directory_options

enum class std::experimental::filesystem::v1::directory_options : unsigned char
| strong

Bitmask type controlling directory iteration.

Definition at line 230 of file experimental/bits/fs_fwd.h.

## ◆ file_type

enum class std::experimental::filesystem::v1::file_type : signed char
| strong

Enumerated type representing the type of a file.

Definition at line 89 of file experimental/bits/fs_fwd.h.

## ◆ perms

enum class std::experimental::filesystem::v1::perms : unsigned
| strong

Bitmask type representing file access permissions.

Definition at line 154 of file experimental/bits/fs_fwd.h.

## Function Documentation

## ◆ path() [1/2]

std::experimental::filesystem::v1::path::path | ( | path && | __p | ) |
| inlinenoexcept

Definition at line 912 of file experimental/bits/fs_path.h.

## ◆ path() [2/2]

std::experimental::filesystem::v1::path::path | ( | string_type && | __source | ) |
| inline

Definition at line 919 of file experimental/bits/fs_path.h.

## ◆ assign()

path & std::experimental::filesystem::v1::path::assign | ( | string_type && | __source | ) |
| inline

Definition at line 952 of file experimental/bits/fs_path.h.

## ◆ begin() [1/3]

directory_iterator std::experimental::filesystem::v1::begin | ( | directory_iterator | __iter | ) |
| inlinenoexcept

Definition at line 238 of file experimental/bits/fs_dir.h.

## ◆ begin() [2/3]

recursive_directory_iterator std::experimental::filesystem::v1::begin | ( | recursive_directory_iterator | __iter | ) |
| inlinenoexcept

Definition at line 332 of file experimental/bits/fs_dir.h.

## ◆ begin() [3/3]

path::iterator std::experimental::filesystem::v1::path::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 1229 of file experimental/bits/fs_path.h.

## ◆ compare() [1/3]

int std::experimental::filesystem::v1::path::compare | ( | const basic_string_view< value_type > | __s | ) | const
| inline

Definition at line 1179 of file experimental/bits/fs_path.h.

## ◆ compare() [2/3]

int std::experimental::filesystem::v1::path::compare | ( | const string_type & | __s | ) | const
| inline

Definition at line 1172 of file experimental/bits/fs_path.h.

## ◆ compare() [3/3]

int std::experimental::filesystem::v1::path::compare | ( | const value_type * | __s | ) | const
| inline

Definition at line 1175 of file experimental/bits/fs_path.h.

## ◆ copy() [1/2]

void std::experimental::filesystem::v1::copy | ( | const path & | __from,
|  | const path & | __to )
| inline

Definition at line 67 of file experimental/bits/fs_ops.h.

## ◆ copy() [2/2]

void std::experimental::filesystem::v1::copy | ( | const path & | __from,
|  | const path & | __to,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 71 of file experimental/bits/fs_ops.h.

## ◆ copy_file() [1/2]

bool std::experimental::filesystem::v1::copy_file | ( | const path & | __from,
|  | const path & | __to )
| inline

Definition at line 80 of file experimental/bits/fs_ops.h.

## ◆ copy_file() [2/2]

bool std::experimental::filesystem::v1::copy_file | ( | const path & | __from,
|  | const path & | __to,
|  | error_code & | __ec )
| inline

Definition at line 84 of file experimental/bits/fs_ops.h.

## ◆ end() [1/3]

directory_iterator std::experimental::filesystem::v1::end | ( | directory_iterator |  | ) |
| inlinenoexcept

Definition at line 242 of file experimental/bits/fs_dir.h.

## ◆ end() [2/3]

recursive_directory_iterator std::experimental::filesystem::v1::end | ( | recursive_directory_iterator |  | ) |
| inlinenoexcept

Definition at line 336 of file experimental/bits/fs_dir.h.

## ◆ end() [3/3]

path::iterator std::experimental::filesystem::v1::path::end | ( |  | ) | const
| inlinenoexcept

Definition at line 1237 of file experimental/bits/fs_path.h.

## ◆ exists() [1/3]

bool std::experimental::filesystem::v1::exists | ( | const path & | __p | ) |
| inline

Definition at line 141 of file experimental/bits/fs_ops.h.

## ◆ exists() [2/3]

bool std::experimental::filesystem::v1::exists | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 146 of file experimental/bits/fs_ops.h.

## ◆ exists() [3/3]

bool std::experimental::filesystem::v1::exists | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 136 of file experimental/bits/fs_ops.h.

## ◆ extension()

path std::experimental::filesystem::v1::path::extension | ( |  | ) | const
| inline

Definition at line 1196 of file experimental/bits/fs_path.h.

## ◆ filename()

path std::experimental::filesystem::v1::path::filename | ( |  | ) | const
| inline

Definition at line 1184 of file experimental/bits/fs_path.h.

## ◆ generic_string() [1/2]

std::string std::experimental::filesystem::v1::path::generic_string | ( |  | ) | const
| inline

Definition at line 1150 of file experimental/bits/fs_path.h.

## ◆ generic_string() [2/2]

template<typename _CharT, typename _Traits, typename _Allocator>

std::basic_string< _CharT, _Traits, _Allocator > std::experimental::filesystem::v1::path::generic_string | ( | const _Allocator & | __a = _Allocator() | ) | const
| inline

Definition at line 1122 of file experimental/bits/fs_path.h.

## ◆ generic_u16string()

std::u16string std::experimental::filesystem::v1::path::generic_u16string | ( |  | ) | const
| inline

Definition at line 1166 of file experimental/bits/fs_path.h.

## ◆ generic_u32string()

std::u32string std::experimental::filesystem::v1::path::generic_u32string | ( |  | ) | const
| inline

Definition at line 1169 of file experimental/bits/fs_path.h.

## ◆ generic_u8string()

std::string std::experimental::filesystem::v1::path::generic_u8string | ( |  | ) | const
| inline

Definition at line 1162 of file experimental/bits/fs_path.h.

## ◆ generic_wstring()

std::wstring std::experimental::filesystem::v1::path::generic_wstring | ( |  | ) | const
| inline

Definition at line 1154 of file experimental/bits/fs_path.h.

## ◆ has_extension()

bool std::experimental::filesystem::v1::path::has_extension | ( |  | ) | const
| inline

Definition at line 1212 of file experimental/bits/fs_path.h.

## ◆ has_stem()

bool std::experimental::filesystem::v1::path::has_stem | ( |  | ) | const
| inline

Definition at line 1205 of file experimental/bits/fs_path.h.

## ◆ is_absolute()

bool std::experimental::filesystem::v1::path::is_absolute | ( |  | ) | const
| inline

Definition at line 1219 of file experimental/bits/fs_path.h.

## ◆ is_block_file() [1/3]

bool std::experimental::filesystem::v1::is_block_file | ( | const path & | __p | ) |
| inline

Definition at line 176 of file experimental/bits/fs_ops.h.

## ◆ is_block_file() [2/3]

bool std::experimental::filesystem::v1::is_block_file | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 181 of file experimental/bits/fs_ops.h.

## ◆ is_block_file() [3/3]

bool std::experimental::filesystem::v1::is_block_file | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 171 of file experimental/bits/fs_ops.h.

## ◆ is_character_file() [1/3]

bool std::experimental::filesystem::v1::is_character_file | ( | const path & | __p | ) |
| inline

Definition at line 191 of file experimental/bits/fs_ops.h.

## ◆ is_character_file() [2/3]

bool std::experimental::filesystem::v1::is_character_file | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 196 of file experimental/bits/fs_ops.h.

## ◆ is_character_file() [3/3]

bool std::experimental::filesystem::v1::is_character_file | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 186 of file experimental/bits/fs_ops.h.

## ◆ is_directory() [1/3]

bool std::experimental::filesystem::v1::is_directory | ( | const path & | __p | ) |
| inline

Definition at line 206 of file experimental/bits/fs_ops.h.

## ◆ is_directory() [2/3]

bool std::experimental::filesystem::v1::is_directory | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 211 of file experimental/bits/fs_ops.h.

## ◆ is_directory() [3/3]

bool std::experimental::filesystem::v1::is_directory | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 201 of file experimental/bits/fs_ops.h.

## ◆ is_fifo() [1/3]

bool std::experimental::filesystem::v1::is_fifo | ( | const path & | __p | ) |
| inline

Definition at line 226 of file experimental/bits/fs_ops.h.

## ◆ is_fifo() [2/3]

bool std::experimental::filesystem::v1::is_fifo | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 231 of file experimental/bits/fs_ops.h.

## ◆ is_fifo() [3/3]

bool std::experimental::filesystem::v1::is_fifo | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 221 of file experimental/bits/fs_ops.h.

## ◆ is_other() [1/3]

bool std::experimental::filesystem::v1::is_other | ( | const path & | __p | ) |
| inline

Definition at line 244 of file experimental/bits/fs_ops.h.

## ◆ is_other() [2/3]

bool std::experimental::filesystem::v1::is_other | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 249 of file experimental/bits/fs_ops.h.

## ◆ is_other() [3/3]

bool std::experimental::filesystem::v1::is_other | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 236 of file experimental/bits/fs_ops.h.

## ◆ is_regular_file() [1/3]

bool std::experimental::filesystem::v1::is_regular_file | ( | const path & | __p | ) |
| inline

Definition at line 259 of file experimental/bits/fs_ops.h.

## ◆ is_regular_file() [2/3]

bool std::experimental::filesystem::v1::is_regular_file | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 264 of file experimental/bits/fs_ops.h.

## ◆ is_regular_file() [3/3]

bool std::experimental::filesystem::v1::is_regular_file | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 254 of file experimental/bits/fs_ops.h.

## ◆ is_socket() [1/3]

bool std::experimental::filesystem::v1::is_socket | ( | const path & | __p | ) |
| inline

Definition at line 274 of file experimental/bits/fs_ops.h.

## ◆ is_socket() [2/3]

bool std::experimental::filesystem::v1::is_socket | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 279 of file experimental/bits/fs_ops.h.

## ◆ is_socket() [3/3]

bool std::experimental::filesystem::v1::is_socket | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 269 of file experimental/bits/fs_ops.h.

## ◆ is_symlink() [1/3]

bool std::experimental::filesystem::v1::is_symlink | ( | const path & | __p | ) |
| inline

Definition at line 289 of file experimental/bits/fs_ops.h.

## ◆ is_symlink() [2/3]

bool std::experimental::filesystem::v1::is_symlink | ( | const path & | __p,
|  | error_code & | __ec )
| inlinenoexcept

Definition at line 294 of file experimental/bits/fs_ops.h.

## ◆ is_symlink() [3/3]

bool std::experimental::filesystem::v1::is_symlink | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 284 of file experimental/bits/fs_ops.h.

## ◆ make_preferred()

path & std::experimental::filesystem::v1::path::make_preferred | ( |  | ) |
| inline

Definition at line 1004 of file experimental/bits/fs_path.h.

## ◆ operator!=() [1/2]

bool std::experimental::filesystem::v1::operator!= | ( | const directory_iterator & | __lhs,
|  | const directory_iterator & | __rhs )
| inline

Definition at line 253 of file experimental/bits/fs_dir.h.

## ◆ operator!=() [2/2]

bool std::experimental::filesystem::v1::operator!= | ( | const recursive_directory_iterator & | __lhs,
|  | const recursive_directory_iterator & | __rhs )
| inline

Definition at line 348 of file experimental/bits/fs_dir.h.

## ◆ operator&=() [1/3]

copy_options & std::experimental::filesystem::v1::operator&= | ( | copy_options & | __x,
|  | copy_options | __y )
| inlinenoexcept

Definition at line 141 of file experimental/bits/fs_fwd.h.

## ◆ operator&=() [2/3]

directory_options & std::experimental::filesystem::v1::operator&= | ( | directory_options & | __x,
|  | directory_options | __y )
| inlinenoexcept

Definition at line 272 of file experimental/bits/fs_fwd.h.

## ◆ operator&=() [3/3]

perms & std::experimental::filesystem::v1::operator&= | ( | perms & | __x,
|  | perms | __y )
| inlinenoexcept

Definition at line 217 of file experimental/bits/fs_fwd.h.

## ◆ operator*()

path::iterator::reference std::experimental::filesystem::v1::path::iterator::operator* | ( |  | ) | const
| inlinenoexcept

Definition at line 1279 of file experimental/bits/fs_path.h.

## ◆ operator++()

path::iterator & std::experimental::filesystem::v1::path::iterator::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 1245 of file experimental/bits/fs_path.h.

## ◆ operator+=() [1/6]

template<typename _CharT>

__detail::_Path< _CharT *, _CharT * > & std::experimental::filesystem::v1::path::operator+= | ( | _CharT | __x | ) |
| inline

Definition at line 997 of file experimental/bits/fs_path.h.

## ◆ operator+=() [2/6]

path & std::experimental::filesystem::v1::path::operator+= | ( | basic_string_view< value_type > | __x | ) |
| inline

Definition at line 987 of file experimental/bits/fs_path.h.

## ◆ operator+=() [3/6]

path & std::experimental::filesystem::v1::path::operator+= | ( | const path & | __x | ) |
| inline

Definition at line 956 of file experimental/bits/fs_path.h.

## ◆ operator+=() [4/6]

path & std::experimental::filesystem::v1::path::operator+= | ( | const string_type & | __x | ) |
| inline

Definition at line 962 of file experimental/bits/fs_path.h.

## ◆ operator+=() [5/6]

path & std::experimental::filesystem::v1::path::operator+= | ( | const value_type * | __x | ) |
| inline

Definition at line 970 of file experimental/bits/fs_path.h.

## ◆ operator+=() [6/6]

path & std::experimental::filesystem::v1::path::operator+= | ( | value_type | __x | ) |
| inline

Definition at line 978 of file experimental/bits/fs_path.h.

## ◆ operator--()

path::iterator & std::experimental::filesystem::v1::path::iterator::operator-- | ( |  | ) |
| inlinenoexcept

Definition at line 1262 of file experimental/bits/fs_path.h.

## ◆ operator<()

bool std::experimental::filesystem::v1::operator< | ( | const path & | __lhs,
|  | const path & | __rhs )
| inlinenoexcept

Definition at line 1306 of file experimental/bits/fs_path.h.

## ◆ operator=() [1/2]

path & std::experimental::filesystem::v1::path::operator= | ( | path && | __p | ) |
| inlinenoexcept

Definition at line 938 of file experimental/bits/fs_path.h.

## ◆ operator=() [2/2]

path & std::experimental::filesystem::v1::path::operator= | ( | string_type && | __source | ) |
| inline

Definition at line 948 of file experimental/bits/fs_path.h.

## ◆ operator==() [1/3]

bool std::experimental::filesystem::v1::operator== | ( | const directory_iterator & | __lhs,
|  | const directory_iterator & | __rhs )
| inline

Definition at line 246 of file experimental/bits/fs_dir.h.

## ◆ operator==() [2/3]

bool std::experimental::filesystem::v1::operator== | ( | const path & | __lhs,
|  | const path & | __rhs )
| inlinenoexcept

Definition at line 1309 of file experimental/bits/fs_path.h.

## ◆ operator==() [3/3]

bool std::experimental::filesystem::v1::operator== | ( | const recursive_directory_iterator & | __lhs,
|  | const recursive_directory_iterator & | __rhs )
| inline

Definition at line 340 of file experimental/bits/fs_dir.h.

## ◆ operator^() [1/3]

copy_options std::experimental::filesystem::v1::operator^ | ( | copy_options | __x,
|  | copy_options | __y )
| constexprnoexcept

Definition at line 125 of file experimental/bits/fs_fwd.h.

## ◆ operator^() [2/3]

directory_options std::experimental::filesystem::v1::operator^ | ( | directory_options | __x,
|  | directory_options | __y )
| constexprnoexcept

Definition at line 256 of file experimental/bits/fs_fwd.h.

## ◆ operator^() [3/3]

perms std::experimental::filesystem::v1::operator^ | ( | perms | __x,
|  | perms | __y )
| constexprnoexcept

Definition at line 201 of file experimental/bits/fs_fwd.h.

## ◆ operator^=() [1/3]

copy_options & std::experimental::filesystem::v1::operator^= | ( | copy_options & | __x,
|  | copy_options | __y )
| inlinenoexcept

Definition at line 149 of file experimental/bits/fs_fwd.h.

## ◆ operator^=() [2/3]

directory_options & std::experimental::filesystem::v1::operator^= | ( | directory_options & | __x,
|  | directory_options | __y )
| inlinenoexcept

Definition at line 280 of file experimental/bits/fs_fwd.h.

## ◆ operator^=() [3/3]

perms & std::experimental::filesystem::v1::operator^= | ( | perms & | __x,
|  | perms | __y )
| inlinenoexcept

Definition at line 225 of file experimental/bits/fs_fwd.h.

## ◆ operator|() [1/3]

copy_options std::experimental::filesystem::v1::operator| | ( | copy_options | __x,
|  | copy_options | __y )
| constexprnoexcept

Definition at line 116 of file experimental/bits/fs_fwd.h.

## ◆ operator|() [2/3]

directory_options std::experimental::filesystem::v1::operator| | ( | directory_options | __x,
|  | directory_options | __y )
| constexprnoexcept

Definition at line 247 of file experimental/bits/fs_fwd.h.

## ◆ operator|() [3/3]

perms std::experimental::filesystem::v1::operator| | ( | perms | __x,
|  | perms | __y )
| constexprnoexcept

Definition at line 192 of file experimental/bits/fs_fwd.h.

## ◆ operator|=() [1/3]

copy_options & std::experimental::filesystem::v1::operator|= | ( | copy_options & | __x,
|  | copy_options | __y )
| inlinenoexcept

Definition at line 145 of file experimental/bits/fs_fwd.h.

## ◆ operator|=() [2/3]

directory_options & std::experimental::filesystem::v1::operator|= | ( | directory_options & | __x,
|  | directory_options | __y )
| inlinenoexcept

Definition at line 276 of file experimental/bits/fs_fwd.h.

## ◆ operator|=() [3/3]

perms & std::experimental::filesystem::v1::operator|= | ( | perms & | __x,
|  | perms | __y )
| inlinenoexcept

Definition at line 221 of file experimental/bits/fs_fwd.h.

## ◆ operator~() [1/3]

copy_options std::experimental::filesystem::v1::operator~ | ( | copy_options | __x | ) |
| constexprnoexcept

Definition at line 134 of file experimental/bits/fs_fwd.h.

## ◆ operator~() [2/3]

directory_options std::experimental::filesystem::v1::operator~ | ( | directory_options | __x | ) |
| constexprnoexcept

Definition at line 265 of file experimental/bits/fs_fwd.h.

## ◆ operator~() [3/3]

perms std::experimental::filesystem::v1::operator~ | ( | perms | __x | ) |
| constexprnoexcept

Definition at line 210 of file experimental/bits/fs_fwd.h.

## ◆ status_known()

bool std::experimental::filesystem::v1::status_known | ( | file_status | __s | ) |
| inlinenoexcept

Definition at line 341 of file experimental/bits/fs_ops.h.

## ◆ stem()

path std::experimental::filesystem::v1::path::stem | ( |  | ) | const
| inline

Definition at line 1187 of file experimental/bits/fs_path.h.

## ◆ string() [1/2]

std::string std::experimental::filesystem::v1::path::string | ( |  | ) | const
| inline

Definition at line 1083 of file experimental/bits/fs_path.h.

## ◆ string() [2/2]

template<typename _CharT, typename _Traits, typename _Allocator>

std::basic_string< _CharT, _Traits, _Allocator > std::experimental::filesystem::v1::path::string | ( | const _Allocator & | __a = _Allocator() | ) | const
| inline

Definition at line 1024 of file experimental/bits/fs_path.h.

## ◆ swap()

void std::experimental::filesystem::v1::path::swap | ( | path & | __rhs | ) |
| inlinenoexcept

Definition at line 1013 of file experimental/bits/fs_path.h.

## ◆ u16string()

std::u16string std::experimental::filesystem::v1::path::u16string | ( |  | ) | const
| inline

Definition at line 1115 of file experimental/bits/fs_path.h.

## ◆ u32string()

std::u32string std::experimental::filesystem::v1::path::u32string | ( |  | ) | const
| inline

Definition at line 1118 of file experimental/bits/fs_path.h.

## ◆ u8string()

std::string std::experimental::filesystem::v1::path::u8string | ( |  | ) | const
| inline

Definition at line 1095 of file experimental/bits/fs_path.h.

## ◆ wstring()

std::wstring std::experimental::filesystem::v1::path::wstring | ( |  | ) | const
| inline

Definition at line 1087 of file experimental/bits/fs_path.h.